/* -----------------------------
   NAV SUPERIOR, mainNav principal del index.html (mainNav)
------------------------------ */

/* Estado inicial (con transición preparada) */

#mainNav {
  transition: opacity 1s ease, transform 1.3s ease;
  height: 80px;
}

/* Oculto */

.navbar-hide {
  opacity: 0;
  transform: translateY(-80px);
  pointer-events: none;
}

/* Visible */

.navbar-show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

/* -----------------------------
   NAV INFERIOR (mainNav-1) Boton de reservar.
------------------------------ */

#mainNav-1 {
  transition: transform 0.4s ease, opacity 0.4s ease;
}

/* Ocultar hacia abajo al cargar */

#mainNav-1.hide-bottom {
  transform: translateY(100%);
  opacity: 0;
}

/* Mantiene colores de enlaces */

.navbar-main .nav-link {
  color: white !important;
  font-weight: 300;
  text-transform: uppercase;
}

/* Hover similar */

.navbar-main .nav-link:hover {
  color: #c3bba4 !important;
}

